<?php

 /*----------------------------------------------------------------------------------------------------------\
 |                                                                                                            |
 |                      [ LIVE GAME SERVER LIST ] [  RICHARD PERRY FROM GREYCUBE.COM ]                       |
 |                                                                                                            |
 |    Released under the terms and conditions of the GNU General Public License Version 3 (http://gnu.org)    |
 |                                                                                                            |
 |-------------------------------------------------------------------------------------------------------------
 |        [ EDITOR STYLE SETTINGS: LUCIDA CONSOLE, SIZE 10, TAB = 2 SPACES, BOLD GLOBALLY TURNED OFF ]        |
 \-----------------------------------------------------------------------------------------------------------*/
defined ('main') or die ( 'no direct access' );
//------------------------------------------------------------------------------------------------------------+

  require "lgsl_class.php";

  $server_list = lgsl_query_cached_all("s");
  $server_list = lgsl_sort_servers($server_list);

//------------------------------------------------------------------------------------------------------------+

  $output .= "
  <div style='text-align:center'>
    <table cellpadding='4' cellspacing='2' style='margin:auto' width='100%'>";

    foreach ($server_list as $server)
    {
      $misc   = lgsl_server_misc($server);
      $server = lgsl_server_html($server);

      $output .= "
      <tr ".lgsl_bg().">

        <td style='text-align:center' valign='center' height='160' width='180'>
        <div style='background-image:url({$misc['image_map']}); background-repeat:no-repeat; background-position:center'>
          <a href='".lgsl_link($server['o']['id'])."'><img alt='' src='{$misc['image_map_password']}' title='{$lgsl_config['text']['vsd']}' style='border:none; width:{$zone_width}; background:url({$misc['icon_game']}); background-repeat:no-repeat; background-position:4px 4px' /></a>
        </div>
      </td>

        <td valign='top'>
             <p><b>{$misc['name_filtered']}</b></p>
             <p>{$server['b']['ip']}:{$server['b']['c_port']}</p>
             <p>Map: {$server['s']['map']}</p>
             <p>Player: {$server['s']['players']} / {$server['s']['playersmax']}</p>
             <img alt='' src='{$misc['icon_status']}' title='{$misc['text_status']}' />
             <img alt='' src='{$misc['icon_game']}' title='{$misc['text_type_game']}' />
             <a href='{$misc['software_link']}'><img src='include/extras/lgsl/lgsl_files/other/hlsw.gif' border='0' alt='Add HLSW' title='Add HLSW'></a>
             <a href='".lgsl_link($server['o']['id'])."'><img alt='' src='{$misc['icon_details']}' style='border:none' title='{$lgsl_config['text']['vsd']}' /></a>
        </td></tr>

     ";
    }

    $output .= "
    </table>
  </div>";

//------------------------------------------------------------------------------------------------------------+

  if ($lgsl_config['list']['totals'])
  {
    $total = lgsl_cached_totals();

    $output .= "
    <div>
      <br />
    </div>
    <div style='text-align:center'>
      <table cellpadding='4' cellspacing='4' style='margin:auto'>
        <tr style='".lgsl_bg()."'>
          <td> {$lgsl_config['text']['tns']} {$total['servers']}    </td>
          <td> {$lgsl_config['text']['tnp']} {$total['players']}    </td>
          <td> {$lgsl_config['text']['tmp']} {$total['playersmax']} </td>
        </tr>
      </table>
    </div>";
  }

//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+
//------  PLEASE MAKE A DONATION OR SIGN THE GUESTBOOK AT GREYCUBE.COM IF YOU REMOVE THIS CREDIT ---------------------------------------------------------------------------------------------------+
  $output .= "<div style='text-align:center; font-family:tahoma; font-size:9px'><br /><br /><br /><a href='http://www.greycube.com' style='text-decoration:none' target='_blank'>".lgsl_version()."</a><br /></div>";  
//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+

?>